Bug 676216 - Review Request: sugar-calendario - agenda/calendar for sugar
Summary: Review Request: sugar-calendario - agenda/calendar for sugar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Guillermo Gómez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-09 04:56 UTC by Yader Velásquez
Modified: 2013-10-19 14:42 UTC (History)
3 users (show)

Fixed In Version: sugar-calendario-3-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-05 05:00:15 UTC
guillermo.gomez: fedora-review+


Attachments (Terms of Use)

Description Yader Velásquez 2011-02-09 04:56:41 UTC
Spec URL: http://yaderv.fedorapeople.org/rpm/calendario/sugar-calendario.spec
SRPM URL: http://yaderv.fedorapeople.org/rpm/calendario/sugar-calendario-3-1.fc14.src.rpm 
Description: 
Calendario is daily activity for sugar, this will allow children 
to introduce activities per day so they are reminded of past, present 
and future activities. 
This is my first package, and I need a sponsor.

Comment 1 Yader Velásquez 2011-03-07 02:50:28 UTC
rpmlint output:

sugar-calendario.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-calendario.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The package use the "Sugar/Activities" group according to https://fedoraproject.org/wiki/Packaging:SugarActivityGuidelines

Comment 2 Guillermo Gómez 2011-03-18 23:29:56 UTC
rpmlint output - MISSING  (corrected, but was an observation made)
Blocks: FE-NEEDSPONSOR  (corrected, was an observation made)
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
LICENCE has to be tag as docummentation

Comment 4 Yader Velásquez 2011-03-18 23:54:06 UTC
rpmlint -i -vv sugar-calendario-3-2.fc13.src.rpm 
sugar-calendario.src: I: checking
sugar-calendario.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-calendario.src: I: checking-url http://wiki.sugarlabs.org/go/Activities/calendario (timeout 10 seconds)
sugar-calendario.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

sugar-calendario.src: I: checking-url http://yaderv.fedorapeople.org/Sugar/Calendario-activity-3.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 5 Guillermo Gómez 2011-03-19 00:06:30 UTC
Please remove tabs before approving.

Comment 6 Yader Velásquez 2011-03-19 00:15:19 UTC
new fixed package http://yaderv.fedorapeople.org/rpm/calendario/sugar-calendario-3-3.fc13.src.rpm 


$ rpmlint -i -vv sugar-calendario-3-3.fc13.src.rpm 
sugar-calendario.src: I: checking
sugar-calendario.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-calendario.src: I: checking-url http://wiki.sugarlabs.org/go/Activities/calendario (timeout 10 seconds)
sugar-calendario.src: I: checking-url http://yaderv.fedorapeople.org/Sugar/Calendario-activity-3.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 7 Yader Velásquez 2011-03-19 00:27:46 UTC
new fixed package http://yaderv.fedorapeople.org/rpm/calendario/sugar-calendario-3-3.fc13.src.rpm 


$ rpmlint -i -vv sugar-calendario-3-3.fc13.src.rpm 
sugar-calendario.src: I: checking
sugar-calendario.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-calendario.src: I: checking-url http://wiki.sugarlabs.org/go/Activities/calendario (timeout 10 seconds)
sugar-calendario.src: I: checking-url http://yaderv.fedorapeople.org/Sugar/Calendario-activity-3.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 8 Yader Velásquez 2011-03-19 00:41:58 UTC
http://yaderv.fedorapeople.org/rpm/calendario/sugar-calendario-3-4.fc13.src.rpm 


rpmlint -i -vv output 
sugar-calendario.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-calendario.spec: I: checking-url http://yaderv.fedorapeople.org/Sugar/Calendario-activity-3.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 9 Guillermo Gómez 2011-03-19 00:46:27 UTC
APPROVED

Toshio will sponsor, i'll mentor.

Comment 10 Yader Velásquez 2011-04-06 02:55:26 UTC
New Package SCM Request
=======================
Package Name: sugar-calendario
Short Description: agenda/calendar for sugar
Owners: yaderv
Branches: f14
InitialCC:

Comment 11 Jason Tibbitts 2011-04-06 17:57:04 UTC
Do you really not want an F15 branch?

Comment 12 Yader Velásquez 2011-04-06 18:24:08 UTC
New Package SCM Request
=======================
Package Name: sugar-calendario
Short Description: agenda/calendar for sugar
Owners: yaderv
Branches: f14 f15
InitialCC:

Comment 13 Jason Tibbitts 2011-04-06 21:05:13 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-04-29 23:48:28 UTC
sugar-calendario-3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sugar-calendario-3-4.fc14

Comment 15 Fedora Update System 2011-04-30 00:09:44 UTC
sugar-calendario-3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sugar-calendario-3-4.fc15

Comment 16 Fedora Update System 2011-04-30 23:22:22 UTC
sugar-calendario-3-4.fc14 has been pushed to the Fedora 14 testing repository.

Comment 17 Fedora Update System 2011-05-05 05:00:09 UTC
sugar-calendario-3-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-05-09 01:53:15 UTC
sugar-calendario-3-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 19 Yader Velásquez 2011-09-03 20:15:52 UTC
Package Change Request
======================
Package Name: sugar-calendario
New Branches: f16
Owners: yaderv
InitialCC:

Support for F16

Comment 20 Gwyn Ciesla 2011-09-04 19:06:31 UTC
f16 already exists.


Note You need to log in before you can comment on or make changes to this bug.